WRWelshRugbyPicsWelsh sport captured
Recent Years Print orders FAQs Contact
Recent Years Print orders FAQs Contact
Recent/April 2024/13 Apr 2024

St Clears RFC v Lampeter Town RFC

64 photographs Ian WIlliams/Huw Evans Agency Saturday
Prints from £8 Order prints
130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - St Clears make their way into the changing rooms before kick off 001
CDF_130424_St_Clears_v_Lampeter_Town_01.JPG · Ian WIlliams/Huw Evans Agency130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - St Clears make their way into the changing rooms before kick off
130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - St Clears Captain Jac Howells leads his side out 002
CDF_130424_St_Clears_v_Lampeter_Town_02.JPG · Ian WIlliams/Huw Evans Agency130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - St Clears Captain Jac Howells leads his side out
130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - St Clears Captain Jac Howells leads his side out 003
CDF_130424_St_Clears_v_Lampeter_Town_03.JPG · Ian WIlliams/Huw Evans Agency130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - St Clears Captain Jac Howells leads his side out
130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Guto Ebbsworth scores a try for Lampeter 004
CDF_130424_St_Clears_v_Lampeter_Town_04.JPG · Ian WIlliams/Huw Evans Agency130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Guto Ebbsworth scores a try for Lampeter
130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Guto Ebbsworth scores a try for Lampeter 005
CDF_130424_St_Clears_v_Lampeter_Town_05.JPG · Ian WIlliams/Huw Evans Agency130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Guto Ebbsworth scores a try for Lampeter
130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Guto Ebbsworth scores a try for Lampeter 006
CDF_130424_St_Clears_v_Lampeter_Town_06.JPG · Ian WIlliams/Huw Evans Agency130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Guto Ebbsworth scores a try for Lampeter
130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Guto Ebbsworth scores a try for Lampeter 007
CDF_130424_St_Clears_v_Lampeter_Town_07.JPG · Ian WIlliams/Huw Evans Agency130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Guto Ebbsworth scores a try for Lampeter
130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Guto Ebbsworth scores a try for Lampeter 008
CDF_130424_St_Clears_v_Lampeter_Town_08.JPG · Ian WIlliams/Huw Evans Agency130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Guto Ebbsworth scores a try for Lampeter
130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - a line out at St Clears 009
CDF_130424_St_Clears_v_Lampeter_Town_09.JPG · Ian WIlliams/Huw Evans Agency130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - a line out at St Clears
130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Liam Rogers of St Clears heads for the Lampeter line 010
CDF_130424_St_Clears_v_Lampeter_Town_10.JPG · Ian WIlliams/Huw Evans Agency130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Liam Rogers of St Clears heads for the Lampeter line
130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Liam Rogers of St Clears heads for the Lampeter line 011
CDF_130424_St_Clears_v_Lampeter_Town_11.JPG · Ian WIlliams/Huw Evans Agency130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Liam Rogers of St Clears heads for the Lampeter line
130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Liam Rogers of St Clears heads for the Lampeter line 012
CDF_130424_St_Clears_v_Lampeter_Town_12.JPG · Ian WIlliams/Huw Evans Agency130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Liam Rogers of St Clears heads for the Lampeter line
130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Jac Howells of St Clears 013
CDF_130424_St_Clears_v_Lampeter_Town_13.JPG · Ian WIlliams/Huw Evans Agency130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Jac Howells of St Clears
130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Sam Miles of St Clears 014
CDF_130424_St_Clears_v_Lampeter_Town_14.JPG · Ian WIlliams/Huw Evans Agency130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Sam Miles of St Clears
130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Rhodri Evans of St Clears is stopped on the Lampeter line 015
CDF_130424_St_Clears_v_Lampeter_Town_15.JPG · Ian WIlliams/Huw Evans Agency130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Rhodri Evans of St Clears is stopped on the Lampeter line
130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Rhodri Evans of St Clears is stopped on the Lampeter line 016
CDF_130424_St_Clears_v_Lampeter_Town_16.JPG · Ian WIlliams/Huw Evans Agency130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Rhodri Evans of St Clears is stopped on the Lampeter line
130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Rhodri Evans of St Clears is stopped on the Lampeter line 017
CDF_130424_St_Clears_v_Lampeter_Town_17.JPG · Ian WIlliams/Huw Evans Agency130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Rhodri Evans of St Clears is stopped on the Lampeter line
130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Rhodri Evans of St Clears is stopped on the Lampeter line 018
CDF_130424_St_Clears_v_Lampeter_Town_18.JPG · Ian WIlliams/Huw Evans Agency130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Rhodri Evans of St Clears is stopped on the Lampeter line
130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Rhodri Evans of St Clears is stopped on the Lampeter line 019
CDF_130424_St_Clears_v_Lampeter_Town_19.JPG · Ian WIlliams/Huw Evans Agency130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Rhodri Evans of St Clears is stopped on the Lampeter line
130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Rhodri Evans of St Clears is stopped on the Lampeter line 020
CDF_130424_St_Clears_v_Lampeter_Town_20.JPG · Ian WIlliams/Huw Evans Agency130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Rhodri Evans of St Clears is stopped on the Lampeter line
130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Rhodri Evans of St Clears is stopped on the Lampeter line 021
CDF_130424_St_Clears_v_Lampeter_Town_21.JPG · Ian WIlliams/Huw Evans Agency130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Rhodri Evans of St Clears is stopped on the Lampeter line
130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Liam Rogers  of St Clears offloads  near the Lampeter line 022
CDF_130424_St_Clears_v_Lampeter_Town_22.JPG · Ian WIlliams/Huw Evans Agency130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Liam Rogers of St Clears offloads near the Lampeter line
130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Liam Rogers  of St Clears offloads  near the Lampeter line 023
CDF_130424_St_Clears_v_Lampeter_Town_23.JPG · Ian WIlliams/Huw Evans Agency130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Liam Rogers of St Clears offloads near the Lampeter line
130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Liam Rogers  of St Clears offloads  near the Lampeter line 024
CDF_130424_St_Clears_v_Lampeter_Town_24.JPG · Ian WIlliams/Huw Evans Agency130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Liam Rogers of St Clears offloads near the Lampeter line
130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Dafydd Waters  of St Clears dives in to score a try 025
CDF_130424_St_Clears_v_Lampeter_Town_25.JPG · Ian WIlliams/Huw Evans Agency130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Dafydd Waters of St Clears dives in to score a try
130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Dafydd Waters  of St Clears dives in to score a try 026
CDF_130424_St_Clears_v_Lampeter_Town_26.JPG · Ian WIlliams/Huw Evans Agency130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Dafydd Waters of St Clears dives in to score a try
130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Dafydd Waters  of St Clears dives in to score a try 027
CDF_130424_St_Clears_v_Lampeter_Town_27.JPG · Ian WIlliams/Huw Evans Agency130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Dafydd Waters of St Clears dives in to score a try
130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Daf Evans of St Clears 028
CDF_130424_St_Clears_v_Lampeter_Town_28.JPG · Ian WIlliams/Huw Evans Agency130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Daf Evans of St Clears
130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - 029
CDF_130424_St_Clears_v_Lampeter_Town_29.JPG · Ian WIlliams/Huw Evans Agency130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West -
130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - 030
CDF_130424_St_Clears_v_Lampeter_Town_30.JPG · Ian WIlliams/Huw Evans Agency130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West -
130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - 031
CDF_130424_St_Clears_v_Lampeter_Town_31.JPG · Ian WIlliams/Huw Evans Agency130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West -
130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - 032
CDF_130424_St_Clears_v_Lampeter_Town_32.JPG · Ian WIlliams/Huw Evans Agency130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West -
130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Lampeter’s Osian Jones kicks for goal 033
CDF_130424_St_Clears_v_Lampeter_Town_33.JPG · Ian WIlliams/Huw Evans Agency130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Lampeter’s Osian Jones kicks for goal
130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - St Clears win a line out 034
CDF_130424_St_Clears_v_Lampeter_Town_34.JPG · Ian WIlliams/Huw Evans Agency130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - St Clears win a line out
130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Sam Miles  of St Clears on the charge 035
CDF_130424_St_Clears_v_Lampeter_Town_35.JPG · Ian WIlliams/Huw Evans Agency130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Sam Miles of St Clears on the charge
130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Sam Miles  of St Clears on the charge 036
CDF_130424_St_Clears_v_Lampeter_Town_36.JPG · Ian WIlliams/Huw Evans Agency130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Sam Miles of St Clears on the charge
130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Sam Miles  of St Clears on the charge 037
CDF_130424_St_Clears_v_Lampeter_Town_37.JPG · Ian WIlliams/Huw Evans Agency130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Sam Miles of St Clears on the charge
130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Sam Miles  of St Clears on the charge 038
CDF_130424_St_Clears_v_Lampeter_Town_38.JPG · Ian WIlliams/Huw Evans Agency130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Sam Miles of St Clears on the charge
130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Dan Griffiths kicks for St Clears 039
CDF_130424_St_Clears_v_Lampeter_Town_39.JPG · Ian WIlliams/Huw Evans Agency130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Dan Griffiths kicks for St Clears
130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - 040
CDF_130424_St_Clears_v_Lampeter_Town_40.JPG · Ian WIlliams/Huw Evans Agency130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West -
130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Dafydd Waters of St Clears scores a try 041
CDF_130424_St_Clears_v_Lampeter_Town_41.JPG · Ian WIlliams/Huw Evans Agency130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Dafydd Waters of St Clears scores a try
130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Dafydd Waters of St Clears scores a try 042
CDF_130424_St_Clears_v_Lampeter_Town_42.JPG · Ian WIlliams/Huw Evans Agency130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Dafydd Waters of St Clears scores a try
130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Dafydd Waters of St Clears scores a try 043
CDF_130424_St_Clears_v_Lampeter_Town_43.JPG · Ian WIlliams/Huw Evans Agency130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Dafydd Waters of St Clears scores a try
130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Dafydd Waters of St Clears scores a try 044
CDF_130424_St_Clears_v_Lampeter_Town_44.JPG · Ian WIlliams/Huw Evans Agency130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Dafydd Waters of St Clears scores a try
130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Dan Griffiths kicks for St Clears 045
CDF_130424_St_Clears_v_Lampeter_Town_45.JPG · Ian WIlliams/Huw Evans Agency130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Dan Griffiths kicks for St Clears
130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - St Clears Daf Evans 046
CDF_130424_St_Clears_v_Lampeter_Town_46.JPG · Ian WIlliams/Huw Evans Agency130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - St Clears Daf Evans
130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Dan Griffiths kicks for St Clears 047
CDF_130424_St_Clears_v_Lampeter_Town_47.JPG · Ian WIlliams/Huw Evans Agency130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Dan Griffiths kicks for St Clears
130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - 048
CDF_130424_St_Clears_v_Lampeter_Town_48.JPG · Ian WIlliams/Huw Evans Agency130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West -
130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Osian Jones clears for Lampeter 049
CDF_130424_St_Clears_v_Lampeter_Town_49.JPG · Ian WIlliams/Huw Evans Agency130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Osian Jones clears for Lampeter
130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Referee Martin Beezer 050
CDF_130424_St_Clears_v_Lampeter_Town_50.JPG · Ian WIlliams/Huw Evans Agency130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Referee Martin Beezer
130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Referee Martin Beezer 051
CDF_130424_St_Clears_v_Lampeter_Town_51.JPG · Ian WIlliams/Huw Evans Agency130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Referee Martin Beezer
130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Daf Evans of St Clears 052
CDF_130424_St_Clears_v_Lampeter_Town_52.JPG · Ian WIlliams/Huw Evans Agency130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Daf Evans of St Clears
130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Sam Miles feeds the St Clears backs 053
CDF_130424_St_Clears_v_Lampeter_Town_53.JPG · Ian WIlliams/Huw Evans Agency130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Sam Miles feeds the St Clears backs
130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Dan Griffiths  for St Clears 054
CDF_130424_St_Clears_v_Lampeter_Town_54.JPG · Ian WIlliams/Huw Evans Agency130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - Dan Griffiths for St Clears
130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West Champions St Clears RFC 055
CDF_130424_St_Clears_v_Lampeter_Town_55.JPG · Ian WIlliams/Huw Evans Agency130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West Champions St Clears RFC
130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West Champions St Clears RFC 056
CDF_130424_St_Clears_v_Lampeter_Town_56.JPG · Ian WIlliams/Huw Evans Agency130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West Champions St Clears RFC
130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West Champions St Clears RFC 057
CDF_130424_St_Clears_v_Lampeter_Town_57.JPG · Ian WIlliams/Huw Evans Agency130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West Champions St Clears RFC
130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West Champions St Clears RFC 058
CDF_130424_St_Clears_v_Lampeter_Town_58.JPG · Ian WIlliams/Huw Evans Agency130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West Champions St Clears RFC
130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West Champions St Clears RFC 059
CDF_130424_St_Clears_v_Lampeter_Town_59.JPG · Ian WIlliams/Huw Evans Agency130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West Champions St Clears RFC
130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West Champions St Clears RFC 060
CDF_130424_St_Clears_v_Lampeter_Town_60.JPG · Ian WIlliams/Huw Evans Agency130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West Champions St Clears RFC
130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West Champions St Clears RFC 061
CDF_130424_St_Clears_v_Lampeter_Town_61.JPG · Ian WIlliams/Huw Evans Agency130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West Champions St Clears RFC
130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West Jac Howells receives the trophy on behalf of St Clears from Chris Jones of the WRU 062
CDF_130424_St_Clears_v_Lampeter_Town_62.JPG · Ian WIlliams/Huw Evans Agency130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West Jac Howells receives the trophy on behalf of St Clears from Chris Jones of the WRU
130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West Jac Howells receives the trophy on behalf of St Clears from Chris Jones of the WRU 063
CDF_130424_St_Clears_v_Lampeter_Town_63.JPG · Ian WIlliams/Huw Evans Agency130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West Jac Howells receives the trophy on behalf of St Clears from Chris Jones of the WRU
130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - St Clears coaches with the trophy 064
CDF_130424_St_Clears_v_Lampeter_Town_64.JPG · Ian WIlliams/Huw Evans Agency130424 - St Clears RFC v Lampeter Town RFC - Admiral National League 2 West - St Clears coaches with the trophy

More from around this date

Sat 13 AprRGC v Pontypridd Sat 13 AprLlantwit Major v Tonyrefail RFC Sat 13 AprNewport County 1-2 Tranmere Rovers Sat 13 AprMillwall 3-1 Cardiff City Sat 13 AprGlamorgan v Derbyshire Sat 13 AprIreland 36-5 Wales Sat 13 AprSwansea City 1-0 Rotherham United Sun 14 AprGlamorgan v Derbyshire
St Clears RFC v Lampeter Town RFC · 13 Apr 2024
Buy a print
© 2026 WelshRugbyPics A Huw Evans Agency site Welsh sport captured